Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Great update today, now I can no longer use Prime or netflix

  • 6 uphendule
  • 5 zinale nkinga
  • 2695 views
  • Igcine ukuphendulwa ngu FredMcD

more options

So thanks to your update today I can no longer watch videos via prime or netflix due to a Widevine.Cdm error.

That's fantastic, especially as Microsoft are moving to Chromium, you're really selling your service.

See I'm being totally nice. And not calling you names.

Isisombululo esikhethiwe

Firefox 64 comes with a newer Widevine version (4.10.1196.0). You can check whether Firefox has installed this version. "3-bar" menu button or Tools -> Add-ons -> Plugins

You can toggle DRM off/on to see if that makes Firefox (re)load DRM components.

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 1

All Replies (6)

more options

I found this. Please check it out. https://www.bing.com/search?q=Widevine.Cdm error

Let us know the results.

more options

Isisombululo Esikhethiwe

Firefox 64 comes with a newer Widevine version (4.10.1196.0). You can check whether Firefox has installed this version. "3-bar" menu button or Tools -> Add-ons -> Plugins

You can toggle DRM off/on to see if that makes Firefox (re)load DRM components.

more options

Thanks cor-el, I managed to work out that toggling the DRM on/off thing would sort it out eventually. It was very late and I was tired so sorry for my snarky question :)

more options

For info.

I was getting this error as well. Turning DRM on/off did not correct the issue. It was preventing Netflix and Amazon Prime Video. Widevine plugin lists last update as 12th December ( 4.10.1196.0 )

I found a fix for it though. Due to some issues with a Firefox update at the beginning of the year, I had switched to the 32bit version of Firefox on my Windows 10.

Upgrading back to 64 bit Firefox appears to have fixed the issue, so this plugin crash may be linked to 32 bit version only.

more options

Still does not work for 32 bit. Any hope of a fix?

more options

https://support.mozilla.org/en-US/kb/update-firefox-latest-version?cache=no Did you update Firefox to the latest version 65.0.1 February 12, 2019

Many problems were fixed.